/*
 *
 *  Copyright (c) Istituto Nazionale di Fisica Nucleare (INFN). 2006-2010.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package it.grid.storm.catalogs;

/**
 * Class that represents a generic chunk. It provides only one method which is the
 * primary key associated ot the chunk in persistence.
 *
 * @author  EGRID - ICTP Trieste
 * @version 1.0
 * @date    September, 2006
 */
public interface ChunkData {

    /**
     * Method that returns the primary key in persistence, associated with This
     * Chunk.
     */
    public long primaryKey();

}
